Package org.apache.maven.scm.provider.accurev

## Class Transaction.Version

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.Transaction.Version

Enclosing class:
  Transaction

    public class Transaction.Version
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAncestorSpec()`
`java.lang.Long` `getElementId()`
`java.lang.String` `getElementName()`
`java.lang.String` `getRealSpec()`
`Transaction` `getTransaction()`
`java.lang.String` `getVirtualSpec()`
`void` `setAncestorSpec​(java.lang.String ancestorSpec)`
`void` `setElementId​(java.lang.Long elementId)`
`void` `setRealSpec​(java.lang.String realSpec)`
`void` `setVirtualSpec​(java.lang.String virtualSpec)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getVirtualSpec

    public java.lang.String getVirtualSpec()

#### setVirtualSpec

    public void setVirtualSpec​(java.lang.String virtualSpec)

#### getAncestorSpec

    public java.lang.String getAncestorSpec()

#### setAncestorSpec

    public void setAncestorSpec​(java.lang.String ancestorSpec)

#### setRealSpec

    public void setRealSpec​(java.lang.String realSpec)

#### setElementId

    public void setElementId​(java.lang.Long elementId)

#### getRealSpec

    public java.lang.String getRealSpec()

#### getElementId

    public java.lang.Long getElementId()

#### getTransaction

    public Transaction getTransaction()

#### getElementName

    public java.lang.String getElementName()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`